package mg.dot.feufaro

import android.content.Context
import org.koin.core.context.GlobalContext
import java.io.File

actual fun getConfigDirectoryPath(): String {
    val baseDir = GlobalContext.get().get<Context>().filesDir
    val feufa2Folder = File(baseDir, "Feufaro")

    if (!feufa2Folder.exists()) {
        val created = feufa2Folder.mkdirs()
        if (created) {
            println("CP:15: Dossier créé avec succès : ${feufa2Folder.absolutePath}")
        }
    }

    val path = feufa2Folder.absolutePath
    return if (path.endsWith(File.separator)) path else path + File.separator
}